"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const index = require("../../../../@vueuse/shared/index.js");
function m() {
  let t;
  const o = (i, n) => {
    e(), t = window.setTimeout(i, n);
  }, e = () => window.clearTimeout(t);
  return index.tryOnScopeDispose(() => e()), {
    registerTimeout: o,
    cancelTimeout: e
  };
}
exports.useTimeout = m;
